com.mapinfo.midev.language.filter

## Class EnvelopeFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.EnvelopeFilter

All Implemented Interfaces:
  IFilter

    public final class EnvelopeFilter
    extends Object
    implements IFilter

Selects features whose geometry envelope interacts with a specified `Envelope`.

### Constructor Summary

Constructors
Constructor and Description
`EnvelopeFilter(String geometryAttributeName, Envelope searchEnvelope)` Create a filter that determines if any geometries have an envelope that intersects the specified envelope.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getGeometryAttributeName()` Returns the name of the attribute that will be searched.
`Envelope` `getSearchEnvelope()` Returns the envelope value to be compared.
`boolean` `isSpatial()` Returns `true`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvelopeFilter

    public EnvelopeFilter(String geometryAttributeName,
                          Envelope searchEnvelope)

Create a filter that determines if any geometries have an envelope that intersects the specified envelope.

Parameters:
  `geometryAttributeName` - Filter this geometry column.
  `searchEnvelope` - Filters any geometries that have an envelope that intersects the this envelope.

### Method Detail

#### getGeometryAttributeName

    public String getGeometryAttributeName()

Returns the name of the attribute that will be searched.

Returns:
  the name of the attribute that will be searched.

#### getSearchEnvelope

    public Envelope getSearchEnvelope()

Returns the envelope value to be compared.

Returns:
  the envelope value to be compared

#### isSpatial

    public boolean isSpatial()

Returns `true`.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `true`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`